<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>String Java</title>
    //Comprobarem cada posició per trobar les bocals i farem un replace de les bocals al srting original per quedarnos amb les consonants i despres sumarles al nou String.
    <script>
        separarVocalesDeConsonantes();
        function separarVocalesDeConsonantes(){
            var paraula = prompt("Introdueix una paraula");
            paraula = paraula.toLowerCase();
            var consonants = paraula;
            var paraulaDos = "";

            for(let i =  0; i < paraula.length; i++){
                if(paraula.charAt(i) == 'a' || paraula.charAt(i) == 'e' || paraula.charAt(i) == 'i' || paraula.charAt(i) == 'o' || paraula.charAt(i) == 'u'){
                    paraulaDos += paraula.charAt(i);
                    consonants = consonants.replace(paraula.charAt(i),"")
                }
            }
            paraulaDos += consonants;
            alert(paraulaDos);
        }
    </script>
</head>
</html>